<?php
session_start();
include "verifica.php";
include "validaciones.php";
include "correlativos.php";

@$xnombres=$_REQUEST['xnombres'];
@$xrazonsocial=$_REQUEST['xrazonsocial'];

@$xper_ruc_dni_tipo=$_REQUEST['xper_ruc_dni_tipo'];

@$xruc=$_REQUEST['xruc'];
@$xcargo=$_REQUEST['xcargo'];
@$xnombre_contacto=$_REQUEST['xnombre_contacto'];
@$xapellido_contacto=$_REQUEST['xapellido_contacto'];
@$xemail=$_REQUEST['xemail'];
@$xtelefono1=$_REQUEST['xtelefono1'];
@$xtelefono2=$_REQUEST['xtelefono2'];
@$xdireccion1=$_REQUEST['xdireccion1'];
@$xdireccion2=$_REQUEST['xdireccion2'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xcredito=$_REQUEST['xcredito'];
if($xcredito!=1){
	$xcredito=0;
}

include "../conexion.php";

$emp = new Empleados;

switch($xaccion){
	
	case "adicionar": 	
		if($emp->adicionar($conexion)==1){
			//echo "adicionar";

			?>			
			<script language="javascript">
			alert("Empleado creado satisfactoriamente.")
			parent.location.href="../empleados.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($emp->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Empleado modificado satisfactoriamente.")
			parent.location.href="../empleados.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->personas($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{						
			if($emp->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Empleado eliminado satisfactoriamente.")
				parent.location.href="../empleados.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($emp->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Empleados{

	//Adiciona nuevo empleado
	function adicionar($conexion){
		global $xnombres,$xrazonsocial,$xruc,$xcargo,$xnombre_contacto,$xapellido_contacto,$xemail,$xcredito,$xtelefono1,$xtelefono2,$xdireccion1,$xdireccion2,$xaccion,$xid, $xusuario_sesion, $cor, $xper_ruc_dni_tipo;

		$correlativo = $cor->persona($conexion);		
		$correlativo_persona=$correlativo;		

		$r = mysqli_query($conexion,"insert into personas (per_nombre_comercial, 
												  per_razon_social,
												  per_ruc,
												  per_nombre,
												  per_apellido,
												  per_email,
												  per_credito,
												  pertip_codi_fk,
												  per_estado,
												  per_telefono1,
												  per_telefono2,
												  per_direccion1,
												  per_direccion2,
												  percar_codi_fk,
												  per_usu_crea,
												  per_codigo,
												  per_ruc_dni_tipo)
										values ('$xnombres', 
												'$xrazonsocial',
												'$xruc',
												'$xnombre_contacto',
												'$xapellido_contacto',
												'$xemail',
												$xcredito,
												1,
												1,
												'$xtelefono1',
												'$xtelefono2',
												'$xdireccion1',
												'$xdireccion2',
												$xcargo,
												'$xusuario_sesion',
												'$correlativo_persona',
												'$xper_ruc_dni_tipo');");
		

		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica un empleado
	function modificar($conexion){
		global $xnombres,$xrazonsocial,$xruc,$xcargo,$xnombre_contacto,$xapellido_contacto,$xemail,$xcredito,$xtelefono1,$xtelefono2,$xdireccion1,$xdireccion2,$xaccion,$xid, $xusuario_sesion, $xper_ruc_dni_tipo;	

		$r = mysqli_query($conexion,"update personas set per_nombre_comercial = '$xnombres', 
												  per_razon_social = '$xrazonsocial',
												  per_ruc = '$xruc',
												  per_nombre = '$xnombre_contacto',
												  per_apellido = '$xapellido_contacto',
												  per_email = '$xemail',
												  per_credito = '$xcredito',
												  pertip_codi_fk = 1,												
												  per_telefono1 = '$xtelefono1',
												  per_telefono2 = '$xtelefono2',
												  per_direccion1 = '$xdireccion1',
												  per_direccion2 = '$xdireccion2',
												  percar_codi_fk = '$xcargo',
												  per_usu_modifica = '$xusuario_sesion',
												  per_ruc_dni_tipo = '$xper_ruc_dni_tipo'
										where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina un empleado
	function eliminar($conexion){
		global $xnombres, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from personas where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa un empleado
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update personas set per_estado = '$xestado',
														 per_usu_activa = '$xusuario_sesion' 
												where per_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
